#include <cstdio>


int main()
{
	int n, a;
	std::scanf("%d %d", &n, &a);

	if (n < 3 * a || n <= a)
	{
		std::puts("-1");
		return 0;
	}

	if (3 * a == n)
	{
		std::printf("0 %d\n0 %d\n0 %d\n", a, a, a);
		return 0;
	}

	int dif = n - 3 * a;
	
	if (dif % 3 == 0)
	{
		int k = dif / 3;
		if (k <= a - 2)
			std::printf("%d %d\n%d %d\n%d %d\n", k, a, k, a, k, a);
		else
		{
			int t = k - a + 2;
			if (t & 1)
			{
				std::puts("-1");
				return 0;
			}
			std::printf("%d %d\n%d %d\n%d %d\n", k + t / 2, a + t / 2, k, a, k, a);
		}	
		return 0;
	}

	else
	{
		if (!(dif & 1))
		{
		}
	}
}